#ifndef _Constants_H
#define _Constants_H

const int MAX_UNIT_CELL=9;
const int MAX_NUM_SYM=100;

// size of the descriptor index, smaller is faster
//   examples 1D=3, 2D=7, 3Dm2=19 3Dm4=23, pre060611=60
const int MAX_SPIN_LIST=32;   // MAX_BT*uc<=block_size*MAX_SPIN_LIST

const int MAX_NUM_CONFIGURATIONS=90000; // max=mem/(2*MAX_SPIN_LIST*int) 
const int MAX_NUM_NEIGHBOURS=10;
const int MAX_LSUBM=40;      // max distance and max flips (ToDo: add LSUBN)
const int MAX_BT=20000;      // sites of bounding triangle, (m+dim)!/(m!dim!)
const int MAX_NUM_ITERATIONS=4000;  // Mar08: reduced from 10000 to 4000
const double TOLERANCE=1e-10;  // old= 1e-12

// definition of MAX_NUMBER_TERMS_IN_CCM_EQNS is shifted to collect.C v060611

/* momentum of convergence for direct iteration
 * next vector is a mixture of momentum*oldX + (1-momentum)*newX
 * high momentum is more stable but slower
 * low  momentum is faster but probably dont converge */
const double momentum=0.625; /* old=0.7 */

#ifndef PARALLEL_FLAG
#define PARALLEL_FLAG 0
#endif
#endif
